debusine (0.14.10) unstable; urgency=medium

  * New release.  Highlights:
    - External user tokens to grant access to private repositories.
    - Workflow templates can be restricted to execution by workspace owners.
    - Worker tasks run with minimal environment variables, and use a
      TMPDIR within /var/lib/debusine/worker/workdir.
    - Gunicorn workers restart after handling 500 requests by default.
    - Celery workers restart after growing to 512MiB of resident memory.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Jun 2026 16:30:42 -0400

debusine (0.14.9) unstable; urgency=high

  * New release.  Highlights.
    - Migrated performance metric storage from disk to Redis.
    - Workflow templates can now grant extra permissions.
    - Workflows can be launched without a template.
    - CLI client can perform lookups.
    - SECURITY: Avoid path traversal attack via specially crafted .dsc files.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Jun 2026 15:21:40 -0400

debusine (0.14.8) unstable; urgency=medium

  * New release.  Highlights.
    - Restrict the API used by external workers, limiting access outside the
      assigned task.
    - Performance improvements.
    - Support package pinning in autopkgtests.
    - Add attribution fields to Debusine-signed Debian uploads.
    - Note: Worker API is backwards-incompatible with older debusine releases.
    - Supports Django 5.2.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 May 2026 10:31:01 -0400

debusine (0.14.7) unstable; urgency=medium

  * New release.  Highlights:
    - Fixes CI failure on non-amd64.
    - Move expensive workflow updates into the scheduler to reduce lock
      contention.
    - Fix fetching artifacts in private workspaces from worker tasks.
    - Allow matching task configuration entries using boolean tag expressions.
    - Worker logs are now written to the systemd journal.
    - External requests have a much shorter (but configurable) timeout.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Apr 2026 08:37:00 -0400

debusine (0.14.6) unstable; urgency=medium

  * New release.  Highlights:
    - Tag-based scheduling is now enabled by default.
    - Performance improvements in workflow orchestration and background tasks.
    - Sets User-Agent HTTP headers.
    - Avoids breaking workflows when tasks get retried.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Mar 2026 17:32:53 -0400

debusine (0.14.5) unstable; urgency=medium

  * New release.  Highlights:
    - Really fix a timeout in SFTP tests (closes: #1126585).
    - APT Mirroring supports: partial mirrors, translation indices, and
      authentication.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Feb 2026 08:43:21 -0400

debusine (0.14.4) unstable; urgency=medium

  * New release.  Highlights:
    - DebDiff improvements.
    - Hopefully fix a timeout in SFTP tests (closes: #1126585).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Jan 2026 11:20:29 -0400

debusine (0.14.3) unstable; urgency=medium

  * New release.  Highlights:
    - Drop support for jessie and trusty environments.
    - Link to archives from the workspace detail view.
    - Performance improvements.
    - Groups can now be workspace-scoped.
    - Drop support for pydantic 1.x.
    - Add support for Python 3.14.
  * Limit number of workers used by unit-tests-server (closes: #1125791).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Jan 2026 10:43:44 -0400

debusine (0.14.2) unstable; urgency=medium

  * New release.  Highlights:
    - Many fixes for cloud workers.
    - Improve presentation of text and log files.
    - Accept pytest 9 instead of pytest-subtests (closes: #1124127).
    - dput-ng configuration for debusine.debian.net: Automatically map any
      known distribution to a workflow template named
      `upload-to-{distribution}`.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 10:36:38 +0000

debusine (0.14.1) unstable; urgency=medium

  * New release.  Highlights:
    - Generalize child workspace creation.
    - Add web UI views to manage collections.
    - Add `debusine archive suite create` command.
    - Show input artifacts in web UI for several workflows.
    - Several fixes for EC2 worker pools.
    - Add a tab with regression analysis summaries to QA workflow UI.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 16:18:30 +0000

debusine (0.14.0) unstable; urgency=medium

  * New release.  Highlights:
    - Requires Python 3.13 (>= trixie)
    - Introduced breadcrumbs in the UI design.
    - Workflow Template creation now accept static_parameters and
      runtime_parameters during creation and editing. They can no longer be
      created with pre-0.14.0 clients.
    - debian_pipeline: If suite is set, automatically use it during builds and
      tests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Dec 2025 09:24:00 -0400

debusine (0.13.1) unstable; urgency=medium

  * Minor update to resolve autopkgtest failures in Debian.
    - Fix the debian-pipeline workflow autopkgtest on non-amd64.
    - Fix an artifact sorting bug in the server workflow.
    - Fix a regression in dark-mode.
    - Depend on iproute2 for integration-tests-task-signing.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Nov 2025 14:03:35 +0100

debusine (0.13.0) unstable; urgency=medium

  * New release.  Highlights:
    - Migrated the web server from daphne to gunicorn+uvicorn.
    - API responses include links.
    - Resolve occasional deadlocks in workflow scheduling, that was sometimes
      seen as autopkgtest timeouts.
    - Fix deadlocks in test_task.py (Closes: #1119859)
    - Significant performance improvement for page rendering, especially the
      home page.
    - Dark Mode is available in the UI.
    - CLI: Refactor to use object verb syntax.
    - Cleanly shut down workers.
    - Recommend iproute2 in debusine-worker for sbuild unshare backend.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 16 Nov 2025 11:21:33 +0100

debusine (0.12.2) unstable; urgency=medium

  * New release.  Highlights:
    - Repositories are nearing general usability. The debian_pipeline can
      publish to suites. Indexes can be signed, using the update_suite
      subworkflow.
    - Improve the worker's resilience to server errors.
    - Work around sbuild's autopkgtest backend selection bug (#1110102).
    - Allow the worker to function in a non-default scope.
    - UI to edit workspace inheritance.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Sep 2025 19:27:50 +0200

debusine (0.12.1) unstable; urgency=medium

  * New release.  Highlights:
    - Add `debusine workspace-inheritance` to configure a workspace's
      inheritance.
    - Add shell completion via argcomplete (closes: #1111282).
    - Return more user-friendly errors if an incorrect file is specified to
      `debusine provide-signature --local-file`.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 15:53:54 +0100

debusine (0.12.0) unstable; urgency=medium

  * New release.  Highlights:
    - Implement archives (although currently the only way to get packages
      into them is by mirroring).  They support snapshot views, so this can
      be used as an equivalent of snapshot.debian.org.
    - Require the CONTRIBUTOR role for modifications in public workspaces.
    - Add a metrics API.
    - Fix several crashes in expiry scripts.
    - Many UI improvements, including restructuring the home page around
      workflows, adding tabs to the work request detail view, and giving
      workflow tables a mobile-friendly layout.
    - Add commands to manage task configuration collections.
    - Add debdiff workflow.
    - Add split source/binary upload signing, where the developer signs the
      source package and Debusine signs the binaries.

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Aug 2025 08:57:00 +0100

debusine (0.11.3) unstable; urgency=medium

  * client: Allow passing a local copy of the `.changes` file to `debusine
    provide-signature`.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jul 2025 15:09:29 +0100

debusine (0.11.2) unstable; urgency=medium

  * client: Allow selecting a server using `--server FQDN/SCOPE`.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jul 2025 09:47:02 +0100

debusine (0.11.1) unstable; urgency=medium

  * New release.  Highlights:
    - Add a debdiff artifact view.
    - Redesign table sorting, filtering, and header rendering.
    - debusine setup: Manage the default server setting.
    - Improve various aspects of dput-ng integration.
    - debian_pipeline: Upload signed source packages and their binaries if
      necessary.
    - Fix various bugs in VM image building.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 May 2025 12:00:19 +0100

debusine (0.11.0) unstable; urgency=medium

  * New release.  Highlights:
    - Improve error reporting from tasks and workflows.
    - Improve usability of token generation UI.
    - Restructure dput-ng profiles to make them easier to override locally.
    - Restrict starting workflows to workspace contributors.
  * Debconf translations:
    - Catalan (thanks, poc senderi).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Apr 2025 15:49:02 +0100

debusine (0.10.0) unstable; urgency=medium

  * New release.  Highlights:
    - Implement provisioning of pool workers.
    - Add "debusine setup" for editing server configuration interactively.
    - Add dput-ng integration.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Apr 2025 11:55:21 +0100

debusine (0.9.1) unstable; urgency=medium

  * New release.  Highlights:
    - Record runtime statistics for tasks.
    - Support Hetzner Object Storage.
    - Support worker pools on EC2 and Hetzner Cloud.
    - Add web UI for group management.
  * Debconf translations:
    - Brazilian Portuguese (thanks, Paulo Henrique de Lima Santana; closes:
      #1098447).
    - Portuguese (thanks, Américo Monteiro; closes: #1100601).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:28:09 +0000

debusine (0.9.0) unstable; urgency=medium

  * New release.  Highlights:
    - Generalize file storage and add an S3 backend.
    - Implement task configuration mechanism.
    - Move signing keys to a new asset system, to allow better control.
    - Add most of a mechanism for cloning workspaces for experiments.
    - Remove schroot support from sbuild task (closes: #1098674).

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2025 18:15:37 +0000

debusine (0.8.1) unstable; urgency=medium

  * New release.
    - Use an in-memory channel layer for tests, rather than Redis (closes:
      #1092587).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Jan 2025 16:29:22 +0000

debusine (0.8.0) unstable; urgency=medium

  * New release.  Highlights:
    - Enforce permissions in many more places.
    - Reorganize web UI URLs around scopes and workspaces.
    - Add package_publish and reverse_dependencies_autopkgtest workflows.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 00:07:47 +0000

debusine (0.7.2) unstable; urgency=medium

  * Use hello from bookworm in piuparts integration test.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 10:58:25 +0000

debusine (0.7.1) unstable; urgency=medium

  * Fetch packages from matching suites in integration tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 20:49:55 +0000

debusine (0.7.0) unstable; urgency=medium

  * New release.  Highlights:
    - Rework URLs to allow for scopes.
    - Add permissions framework and several initial checks.
    - Add several workflows, including a debian_pipeline workflow.
  * Make sure $HOME of debusine-* users is owned by the user.
  * Debconf translations:
    - Dutch (thanks, Frans Spiesschaert; closes: #1087216).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 10:46:56 +0000

debusine (0.6.0) unstable; urgency=medium

  * New release.  Highlights:
    - Add system for coordinating multiple sub-workflows.
    - Add autopkgtest workflow.
    - Add package upload workflow.
  * Debconf translations:
    - German (thanks, Christoph Brinkhaus; closes: #1081125).
    - Spanish (thanks, Camaleón; closes: #1081762).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Oct 2024 20:31:52 +0100

debusine (0.5.0) unstable; urgency=medium

  * New release.  Highlights:
    - Improvements with the aim of making debusine usable as a build daemon.
    - Progress towards making debusine usable by security teams.
    - Provide a more attractive and consistent UI for artifacts and work
      requests.
    - Make task-killing tests more reliable (closes: #1077903).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 10:26:12 +0100

debusine (0.4.1) unstable; urgency=medium

  * New release.
    - Declare that we require Python 3.11 in Debian packaging (closes:
      #1074254).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2024 09:55:46 +0100

debusine (0.4.0.1) unstable; urgency=medium

  * Reupload 0.4.0 with binaries.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 12:49:28 +0100

debusine (0.4.0) unstable; urgency=medium

  * New release.  Highlights:
    - Allow retrying work requests.
    - Binary-only NMU support for sbuild.
    - Add a signing service.
    - Fix some integration test failures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 11:32:34 +0100

debusine (0.3.2) unstable; urgency=medium

  * New release, mainly to fix autopkgtest failures on slow architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 08:38:43 +0100

debusine (0.3.1) unstable; urgency=medium

  * New release, mainly bug-fixes to 0.3.0 (see release-history document for
    details).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 May 2024 11:23:48 +0100

debusine (0.3.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - The focus of this milestone is on automatic orchestration of building
      blocks, to allow tasks to be scheduled for all items of a collection.
      For example, Debusine can now automatically schedule Lintian tasks for
      all packages in a suite.
    - Added collections and workflows.
    - Added a new lookup syntax, taking advantage of collections.
  * Run integration tests using piuparts from trixie rather than unstable.
  * Mark debusine-doc as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 08:37:15 +0100

debusine (0.2.1) unstable; urgency=medium

  * New release, mainly bug fixes.
  * Remove "Recommends: fakemachine"; debos doesn't require it.
  * Install systemd units with dh_installsystemd.
  * Ensure that the worker runs with the kvm group.
  * Remove worker dependency on libwww-perl.
  * Limit simplesystemimagebuild autopkgtest to amd64 for now.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Mar 2024 12:02:42 +0000

debusine (0.2.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - Added artifact file storage system.
    - Debian developers can use Debusine to run various QA tasks against
      packages they are preparing.  Those tasks can be scheduled through the
      API or through the web UI.
  * Note that it is not possible to directly migrate a database installed
    using 0.1.0.  Migrations from this release to future releases will be
    possible.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Feb 2024 12:39:05 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-debusine`.
